dhall-1.42.1: A configuration language guaranteed to terminate

Safe Haskell | None
Language | Haskell2010

Dhall.Src

Contents

- Type

Description

This module provides the `Src` type used for source spans in error messages

Synopsis

- data Src = Src {
  - srcStart :: !SourcePos
  - srcEnd :: !SourcePos
  - srcText :: Text
  }

# Type

data Src #

Source code extract

Constructors

Src |

Fields

- srcStart :: !SourcePos
- srcEnd :: !SourcePos
- srcText :: Text

#### Instances

Instances details

Data Src # |

Instance details

Defined in Dhall.Src

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Src -> c Src #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Src #

toConstr :: Src -> Constr #

dataTypeOf :: Src -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Src) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Src) #

gmapT :: (forall b. Data b => b -> b) -> Src -> Src #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Src -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Src -> r #

gmapQ :: (forall d. Data d => d -> u) -> Src -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Src -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Src -> m Src #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Src -> m Src #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Src -> m Src #

Generic Src # |

Instance details

Defined in Dhall.Src

Associated Types

type Rep Src |

Instance details

Defined in Dhall.Src

type Rep Src = D1 ('MetaData "Src" "Dhall.Src" "dhall-1.42.1-EOSVgq7D92c9LY0yY6dtAL" 'False) (C1 ('MetaCons "Src" 'PrefixI 'True) (S1 ('MetaSel ('Just "srcStart") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 SourcePos) :*: (S1 ('MetaSel ('Just "srcEnd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 SourcePos) :*: S1 ('MetaSel ('Just "srcText") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text))))

Methods

from :: Src -> Rep Src x #

to :: Rep Src x -> Src #

Show Src # |
Instance details Defined in Dhall.Src Methods showsPrec :: Int -> Src -> ShowS # show :: Src -> String # showList :: [Src] -> ShowS #
NFData Src # |
Instance details Defined in Dhall.Src Methods rnf :: Src -> () #
Eq Src # |
Instance details Defined in Dhall.Src Methods (==) :: Src -> Src -> Bool # (/=) :: Src -> Src -> Bool #
Ord Src # |
Instance details Defined in Dhall.Src Methods compare :: Src -> Src -> Ordering # (<) :: Src -> Src -> Bool # (<=) :: Src -> Src -> Bool # (>) :: Src -> Src -> Bool # (>=) :: Src -> Src -> Bool # max :: Src -> Src -> Src # min :: Src -> Src -> Src #
Pretty Src # |
Instance details Defined in Dhall.Src Methods pretty :: Src -> Doc ann # prettyList :: [Src] -> Doc ann #
Lift Src # |
Instance details Defined in Dhall.Src Methods lift :: Quote m => Src -> m Exp # liftTyped :: forall (m :: Type -> Type). Quote m => Src -> Code m Src #
type Rep Src # |

Instance details

Defined in Dhall.Src

type Rep Src = D1 ('MetaData "Src" "Dhall.Src" "dhall-1.42.1-EOSVgq7D92c9LY0yY6dtAL" 'False) (C1 ('MetaCons "Src" 'PrefixI 'True) (S1 ('MetaSel ('Just "srcStart") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 SourcePos) :*: (S1 ('MetaSel ('Just "srcEnd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 SourcePos) :*: S1 ('MetaSel ('Just "srcText") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text))))